module CURIC
  module ScreenScale
    PLUGIN = self
    PLUGIN_NAMESPACE = 'Curic'.freeze
    PLUGIN_ID = 'Screen Scale'.freeze
    PLUGIN_NAME = "#{PLUGIN_NAMESPACE} #{PLUGIN_ID}".freeze
    PLUGIN_VERSION = '1.0.2'.freeze

    unless file_loaded?(__FILE__)
      ex = SketchupExtension.new(PLUGIN_NAME, 'curic_screen_scale/loader')
      ex.version     = PLUGIN_VERSION
      ex.copyright   = 'Curic'
      ex.creator     = 'Võ Quốc Hải (curic4su@gmail.com)'
      Sketchup.register_extension(ex, true)
    end
  end
end

file_loaded(__FILE__)
